diff --git a/Makefile b/Makefile
index 59431fd..057b7d2 100644
--- a/Makefile
+++ b/Makefile
@@ -294,6 +294,23 @@ clean:
 	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 8 Environment ${ENV}
 	@ rm -f src/algebra/book*pamphlet
+	@ rm -f src/algebra/*.spad
+	@ rm -f src/interp/book*pamphlet
+	@ rm -f axiom.sty
+	@ rm -f books/Makefile
+	@ rm -f books/Makefile.dvi
+	@ rm -f books/axiom.sty
+	@ rm -f src/algebra/axiom.sty
+	@ rm -f lsp/axiom.sty
+	@ rm -f src/axiom.sty
+	@ rm -f src/clef/axiom.sty
+	@ rm -f src/etc/axiom.sty
+	@ rm -f src/doc/axiom.sty
+	@ rm -f src/lib/axiom.sty
+	@ rm -f src/share/axiom.sty
+	@ rm -f src/scripts/axiom.sty
+	@ rm -f src/input/axiom.sty
+	@ rm -f src/interp/axiom.sty
 	@ rm -f lsp/Makefile.dvi
 	@ rm -f lsp/Makefile
 	@ rm -rf lsp/gcl*
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 8143c74..9f6607e 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -152,6 +152,23 @@ clean:
 	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 8 Environment ${ENV}
 	@ rm -f src/algebra/book*pamphlet
+	@ rm -f src/algebra/*.spad
+	@ rm -f src/interp/book*pamphlet
+	@ rm -f axiom.sty
+	@ rm -f books/Makefile
+	@ rm -f books/Makefile.dvi
+	@ rm -f books/axiom.sty
+	@ rm -f src/algebra/axiom.sty
+	@ rm -f lsp/axiom.sty
+	@ rm -f src/axiom.sty
+	@ rm -f src/clef/axiom.sty
+	@ rm -f src/etc/axiom.sty
+	@ rm -f src/doc/axiom.sty
+	@ rm -f src/lib/axiom.sty
+	@ rm -f src/share/axiom.sty
+	@ rm -f src/scripts/axiom.sty
+	@ rm -f src/input/axiom.sty
+	@ rm -f src/interp/axiom.sty
 	@ rm -f lsp/Makefile.dvi
 	@ rm -f lsp/Makefile
 	@ rm -rf lsp/gcl*
diff --git a/changelog b/changelog
index 5bc6f8a..96fe64d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130423 tpd src/axiom-website/patches.html 20130423.02.tpd.patch
+20130423 tpd Makefile make clean removes all cruft
 20130423 tpd src/axiom-website/patches.html 20130423.01.tpd.patch
 20130423 tpd books/ps/v102compar.eps add Comparable
 20130423 tpd src/algebra/Makefile add Comparable
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index af7efab..9d3067f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4143,5 +4143,8 @@ books/bookvol0 fix Jenks book format issues
 books/bookvol10.2 add enumerate to FINITE
 <a href="patches/20130423.01.tpd.patch">20130423.01.tpd.patch</a>
 books/bookvol10.2 add Comparable
+<a href="patches/20130423.02.tpd.patch">20130423.02.tpd.patch</a>
+Makefile make clean removes all cruft
  </body>
 </html>
+
